// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Character.h"

#include "SpaceShip.generated.h"

UCLASS()
class ENDLESSVENDETTA_API ASpaceShip : public ACharacter
{
	GENERATED_BODY()

	ACharacter* PlayersCharacter;
	AController* PlayersController;
	UArrowComponent* SeatComponent;

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Sets default values for this pawn's properties
	ASpaceShip();
	
	// Called every frame
	virtual void Tick(float DeltaTime) override;

	// Called to bind functionality to input
	virtual void SetupPlayerInputComponent(class UInputComponent* PlayerInputComponent) override;

	void MoveShip(FVector2D MovementVector);

	void RotateShip(FVector2D LookAxisVector);

};
